Como atualizar o Ubuntu 12.04 para o 14.04

Categoria: Ubuntu | Palavras-chave: , , , , ,

Ubuntu 14.04 LTS Trusty Tahr

Se você é usuário do Ubuntu 12.04, deve estar preocupado que a atualização para a versão 14.04 ainda não apareceu no seu gerenciador de atualizações. Pode ficar tranquilo que o seu Ubuntu não está com problema, este é o comportamento esperado para esta versão devido ao suporte até 2017 da versão 12.04. A notificação de atualização deve vir só em meados de julho, quando a versão 14.04.1 será lançada.

Para atualizar para a versão 14.04, primeiro você deve fazer backup dos seus dados.

Estamos esperando você fazer o backup dos seus dados.

Não adianta nos enganar, faça logo o backup dos seus dados.

Se você realmente quer arriscar e não vai fazer backup, já sabe que o problema é todo seu.

Agora que você já fez o seu backup, ou aceitou o risco de perder seus dados, tenha certeza de que o sistema está totalmente atualizado. Abra o programa update-manager através do Dash(pressione a tecla super, também conhecida como Windows, e digite  update-manager) e faça TODAS as atualizações que aparecerem.

Agora abra o terminal pressionando as teclas Ctrl+Alt+T e digite o seguinte comando:

sudo update-manager -d

Digite sua senha e aguarde que em alguns segundos o gerenciador de atualizações irá aparecer e estará disponível o botão de atualização para a nova versão LTS.

Publicado em 23 de abril de 2014 | 29 Comentários

Ivan Brasil Fuzzer

Ivan Brasil Fuzzer

Faço parte do grupo Tchelinux(http://www.tchelinux.org). O Tchelinux é um grupo de voluntários que trabalha com software livre e ainda acredita que boas coisas podem ser feitas nesta comunidade; desde que saibamos repassar aos que estão iniciando que Software Livre é um aprender e repassar o conhecimento incessante. Sou líder do Ubuntu-BR-RS juntamente com a Marta Vuelma. Tentamos divulgar a distribuição e auxiliar novos usuários por todo o estado do Rio Grande do Sul, as vezes em outros estados também. Sou um amante incondicional de software livre. Vivo apaixonado pelo Ubuntu.

Mais posts do autor (856)

29 Comentários

  1. Everton Melo disse:

    Excelente dica, vejo que o seu tópico é bem util, gostaria que se possível voce também inserisse algumas informações adicionais exemplo que terão coisas que não irão Fazer Update sozinhas, tipos os PPAs que o individuo(n008 )
    Parebens por infatizar o backup e vejo que além disso, é necessário destacar que o 14.04 ainda não esta estável.

    valeu pelas dicas uteis de sempre!

  2. Sergio Bomfim disse:

    Adorei o sistema, porém não consegui desinstalar o libreoffice e instalar o openoffice, alguma dica nova sobre o pacote?????

  3. mauricio pegoraro disse:

    Perfeito, acho o ubunto um exelente software, sempre divulgo e recomendo

  4. Jeazon disse:

    Olá Ubunteiros. Instalei a versão 12.04LTS deixei marcado a opção atualização de terceiros e parceiros Ubuntu. Ocorre que após algumas atualizações ele parou de atualizar porque dá informação de “Pacotes quebrados” DPKG ou algo assim. Tentei criar um Pendrive bootável pelo Ubuntu e também não consegui atualizar para o 14.04LTS. Reiniciei várias vezes e reinstalei várias vezes a versão nova sem sucesso.
    Alguém poderia me ajudar?

    • Pela linha de comando tente o comando

      sudo apt-get update && sudo apt-get -f install

      Antes de qualquer coisa, provavelmente resolverá o problema com os pacotes quebrados

      • Jeazon disse:

        Olá Ivan.
        Agradeço sua disponibilidade em me ajudar e a pronta resposta.
        Abri o terminal e digitei os comandos mas ele retornou com o erro descrito nessa print screen abaixo.

        Assim:
        E: SUBPROCESS /USR/BIN/DPKG RETURNED AN ERRO CODE (100)
        Obrigado pela ajuda.

        • Digita o seguinte comando:

          ls -la /usr/bin/dpkg

          Em resposta deve aparecer algo como isso:

          -rwxr-xr-x 1 root root 261840 Jun 9 14:23 /usr/bin/dpkg

          Se retornar algo diferente, estamos mais perto de ter uma solução.

  5. Jeazon disse:

    Olá Ivan.
    Não consegui resposta digitando o comando.
    Teria como me passar o comando com os respectivos espaços, se houverem?
    Eu digitei: ls(espaço)-la/usr/bin/dpkg(tudo junto)
    A resposta desse comando foi: não é possível acessar /usr/bin/dpkg comando inválido.

    • É a resposta que eu esperava receber. Tudo indica que por algum motivo o dpkg foi desinstalado ou apagado do sistema. Encontrei uma solução no forum do Ubuntu em inglês. http://ubuntuforums.org/showthread.php?t=1856256

      Resumindo, terá que baixar o fonte do dpkg e compilar para que volte a funcionar.

      Desculpa não ter uma solução mais simples, mas parece que este é o único caminho para solucionar o seu problema.

  6. Jeazon disse:

    Muito grato mesmo. Vou ler com calma mais tarde.
    Abraço.

  7. Gui disse:

    Estou com problema na checagem do md5 da imagem iso do Ubuntu 14.04 que baixei o hash não bate com os que tem no site. Já com qualquer versão do 12.04 tudo normal. Tudo bem se eu baixar a 12 e tentar atualizar por esse método então?

  8. Cezar Cruz disse:

    Corrigindo: Tecla Super, também conhecida como “bandeirinha” hahahaha!!
    Tuto muito bom!! Obrigado!! =D

  9. fernanda disse:

    Boa noite , não conheço muito de Linux , mas fui atualizar a minha versão 12.04 para a 14.04 porém meu computador desligou no meio da atualização. … Quando liguei ele de novo, ele estava na versão 1de porém nada funcionava direito. .. reiniciei ele e antes de colocar a senha dei os seguintes comandos
    Sudo apt-get update
    Quando terminou fiz
    Sudo apt get install -f

    Ao terminar ele tentou reiniciar porém aparece a seguinte mmensagem :

    Mount: mounting/dev/loopo on / root faled: invalid argument

    Bom , nem sei sair dessa tela , vc poderia me ajudar?

    Obrigada

    • eu tive muita surpresa com u linux,usei varias versoes o ubuntu é pratico mais da muitos erros nas atualizaçoes é campeão de erros ,as distros baseadas no ubuntu são mais cuidadosas principalmente a melhor distro que uso e, é muito parecida com o ambiente windows mais é baseada no ubuntu 14.04.1 e o linuxmint 17 rebeca lts tem suporte ate 2019 e tem x86 32 bits e 64 bits, é muito boa e facil de usar tem terminal como todas as outras distros,mais como é baseada no ubuntu 99% dos comandos funcionam nela,o conselho que dou é faça uma reinstalação da distribuição que vc achar mais apropriada e correr pro abraço,boa sorte!!!

  10. Clovis disse:

    Não consigo atualizar para 14.04 LTS pois aparece primeiro que é melhor manter
    a versão 12.04 devido à placa de vídeo de pois dá este erro e não passa para a nova versão: W:failled to fetch cdrom://ubuntu 9.0_karmic koata release i386(200910285)/dists/karmic/main/binary-i386/packages please use apt-cdrom to make by apt.update cannot be used to add new cdroms.
    http://br.archive.ubuntu.com/ubuntu/dists/karmic-backports/main ou restricted ou universe ou multiserve/source/sources

    • Tem o CD do Ubuntu Karmic Koala(escrito errado), tem certeza de que tem a versão 12.04? não é o que a mensagem está dizendo. Se realmente estiver usando o Karmic, não vai mais conseguir migrar, tem que instalar do zero.

      • Clóvis disse:

        Obrigado, pela resposta Ivan. A versão que me aparece 12.04 mesmo.
        Para começar do zero, eu posso tentar pela internet ou tenho que achar
        o meu CD da primeira versão que adquiri e reinstalá-lo?

      • Clovis disse:

        Obrigado Ivan, a versão quando está inicializando mostra Ubuntu 12.04.
        E eu posso recomeçar do zero pela internet ou tenho que achar o cd antigo
        do Ubuntu?

  11. Clovis disse:

    Também tento instalar alguma coisa mais no final não dá certo pois aparece
    um tal qmail e qmail run. O que são estas coisas?

  12. Cleber Tapeba disse:

    Não consigo atualizar meu sistema sempre aparecer este o seguinte erro:
    Failed to fetch http://br.archive.ubuntu.com/ubuntu/pool/main/a/account-plugins/account-plugin-facebook_0.11+14.04.20140409.1-0ubuntu1_all.deb Tamanho incorreto

    o que faço?

    • Bom dia Cleber!

      Tenta apagar o cache do apt com o comando abaixo no terminal

      sudo rm -fr /var/cache/apt/archives/*

      Depois tenta atualizar com apt-get update && apt-get dist-upgrade

  13. Cleber Tapeba disse:

    Olá Ivan,
    Agora está mim dando a seguinte msn:
    E: Não foi possível obter trava /var/lib/apt/lists/lock – open (11: Recurso temporariamente indisponível)
    E: Impossível criar acesso exclusivo ao directório /var/lib/apt/lists/
    O que fazer?

  14. Valdir Charão disse:

    Eu não tenho como ajudar, o certo é que preciso de ajuda..

    Gosto muito do linux – ubuntu estou tentando configurar um servidor, mas estou parando na configuração das placas. podem me ajudar (estou tentando em máquina real)
    Obrigado um grande abraço. O bom é que somos daqui do Riogrande.

  15. Mario disse:

    não consigo autualizar meu linux ubuntu da versão 12.04lst para a 14.04lts tem alguma dika pra mim como faço pra pode autualizar?

  16. Mario disse:

    Eu vou no terminal ai eu coloco os códigos ai da error. Ja tentei todos os códigos i so da erro. Eu so quero atualizar por que meu software center não abre de jeito nem um . Eu clico pra abrir carega 6 segundos e fecha automaticamente.

  17. Alexandre Guidi disse:

    Olá não consegui instalar/atualizar, pois apareceu o seguinte erro:
    (process:10333): Gtk-WARNING **: Locale not supported by C library.
    Using the fallback ‘C’ locale.
    Aguardo e desde já agradeço a atenção dispensada.
    Alexandre.

Deixe seu comentário

Website